$DEBUG=1; 

$problem  = "simpleLin1";
$mydir="PROBLEMS/";

# Generate Fortran program
$s="java Java/GenerateProgram ".$mydir.$problem;
if ($DEBUG>0) {print("Generate Fortran program.\n");}
system($s);
if ($DEBUG>0) {print(" OK.\n");}

# Compile program
$s="gfortran -o F_program -w F_generatedCode/*.f";
if ($DEBUG>0) {print(" Compile.\n");}
system($s);
if ($DEBUG>0) {print(" OK.\n");}

# Run program
$outfile="Run_".$problem.".txt";
$s="./F_program < ".$mydir.$problem." > ".$outfile;
if ($DEBUG>0) {print(" Run.\n");}
system($s);
if ($DEBUG>0) {print(" OK\n");}
system("tail -2 ".$outfile);

# Create SBML file 
$s="java Java/MakeSBML ".$mydir.$problem." OUT\_".$problem."_1  OUT\_".$problem.".xml";
if ($DEBUG>0) {print(" Create SBML file.\n");}
system($s);
if ($DEBUG>0) {print(" OK\n");}
